#
# gopherd.conf,v 3.16 1993/11/02 06:03:32 lindner Exp
#

#
# An example gopherd.conf file
#

#
# Hostalias line,
#
#  format is:
#
#  "hostalias: <hostname alias>"
#hostalias: gopher.turnip.com

#
# Cachetime line
#
# Format is "cachetime: <time in seconds>"
#

Cachetime: 180

#
# Administrator line,
#
# format is:
# "Admin:" <any text thing, usually a name/phone fax,etc>
#
# "AdminEmail:" <RFC-822 Email address>

Admin: Dennou Gopher Server +81 03-5453-3969
AdminEmail: ken-suke@card0.c.u-tokyo.ac.jp

#
# Site
#
#Site: the name of the site
#Org: organization or group owning the site
#Loc: city, state, country
#Geog: latitude longitude
#Language: default language of items on the server
#TZ: timezone as gmt-offset

Site: card0.c.u-tokyo.ac.jp
Org: GFD-DENNOU Club
Loc: Tokyo JAPAN
Geog: 36 00 00  N 140 00 00 E
Language: Jp_JP

decoder: .Z /usr/ucb/zcat
decoder: .z /usr/gnu/bin/zcat
decoder: .gz /usr/gnu/bin/zcat
decoder: .adpcm /usr/openwin/bin/adpcm_dec

#TZ: +9
#
# Map filename extensions to gopher-types
#
# Format is 
# "viewext: <extension> <gophertype> <pfx> <gopher+type> [ISO langauge]
#

# Different Languages
#
# The following will probably be text/plain soon
#
viewext: .txt.spanish 0 0 Text/plain Es_ES
viewext: .txt.german 0 0 Text/plain De_DE
viewext: .txt.french 0 0 Text/plain Fr_FR

viewext: .hqx 4 0 application/mac-binhex40

viewext: .moo 8 0 terminal/moo

#
# Telnet file formats
#
viewext: .telnet 8 0 terminal/telnet
viewext: .tn3270 T 0 terminal/tn3270

#
# Graphics file formats
#
viewext: .gif I 9 image/gif
viewext: .jpg I 9 image/JPEG

#
# These are not IANA approved
#
viewext: .tiff I 9 image/TIFF
viewext: .pcx I 9 image/pcx
viewext: .pict I 9 image/PICT
viewext: .ppm I 9 image/ppm
viewext: .pgm I 9 image/pgm
viewext: .pbm I 9 image/pgm
#
# Sounds
#
viewext: .au s s audio/basic
viewext: .snd s s audio/basic
viewext: .wav s s audio/microsoft-wave

#
# Movies
#
viewext: .mov ; 9 video/quicktime
viewext: .mpg ; 9 video/mpeg

#
# Binary files, these need changing for the encoding method
# plus they'll probably become application/octet-stream
# or some such nonsense...
#
viewext: .zip 5 9 application/zip
viewext: .arj 5 9 application/x-arj

viewext: .tar.Z 9 9 file/tar.Z
viewext: .tar 9 9 file/tar
viewext: .zoo 5 9 file/Zoo
viewext: .arc 5 9 file/Arc
viewext: .lzh 5 9 file/Lharc
viewext: .lha 5 9 file/Lharc-amiga-disk
viewext: .dms 5 9 file/Diskmasher
viewext: .exe 5 9 file/PCEXE
viewext: .bck 9 9 file/vmsbackup
viewext: .sav 9 9 file/vmssave

viewext: .ps 0 0 application/postscript
viewext: .tex 0 0 Text/x-tex
viewext: .dvi 0 9 Text/x-dvi
viewext: .troff 0 0 Text/x-troff

#
# These are defined by IANA..
#
viewext: .rtf 0 0 application/rtf
viewext: .word 0 0 application/MSWord
viewext: .mw 0 0 application/MacWriteII
viewext: .wp 0 0 application/dca-rft
viewext: .rch 0 0 Text/richtext
viewext: .wri 9 9 application/Microsoft-write


#
# This most certainly isn't :-)  ..... yet
#
viewext: .smell 9 9 smell/funky

#
#
viewext: .mindex 7 mindex: application/gopher-menu
viewext: .src 7 waissrc: Directory
viewext: .html h 0 text/html



#
# These are for the experimental gview
#
viewext: .gview 1 1 Directory+/gview
blockext: .spot GVIEWSPOT

#
# Map files to certain blocks
# 

blockext: .abstract ABSTRACT
blockext: .ask ASK

#
# Find out what a file is by looking at the contents
# (Not implemented yet...)
#
#magic 0 GIF 9 I Gif
#magic 0 snd s s audio/basic

#
# Note that mail spool files are still done by the server
#

#
# Trash we never want to see (Note that it checks from the end)
# so you can ignore anything with a certain extension.
# (like emacs backup files)
#
ignore: lost+found
ignore: lib
ignore: bin
ignore: etc
ignore: dev
ignore: ~
ignore: .cache
ignore: .cache+

#
# ignore_patt uses regular expressions to ignore files.  See the man page
# for ed(1)
#

ignore_patt: ^core$
ignore_patt: ^usr$
ignore_patt: ^tmp$

#
# BummerMsg is a message that is displayed when there isn't proper
# access..
#
BummerMsg: Sorry Dude, we don't allow off-site access to this server

#
#  Note that the default "default" entry is free access
#  Also note that the values you put for an entry modify the "default" values
# 
#access: default         !browse,!read,search
#access: default 	!ftp

#
# The secureusers: specifies a ticket file to use for ADMIT1 authentication
#
#secureusers: /usr/local/etc/gopherusers


